<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:portcom="http://www.indexdata.dk/TKL"
    version="1.0">

    <xsl:import href="tkl-file://interface.xsl"/>
    <xsl:include href="tkl-file://news.xsl"/>

    <xsl:output method="html" encoding="ISO8859-1"/>

<xsl:template match="/document">
    <xsl:call-template name="main-page">
        <xsl:with-param name="title" select="title"/>
    </xsl:call-template>
</xsl:template>


<xsl:template name="main-news-content">
    <xsl:call-template name="read-news"/>
</xsl:template>

<xsl:template name="main-body">
    <xsl:call-template name="insert-path"/>
    <p/>
    <em><xsl:value-of select="abstract"/></em>
    <p/>
    <xsl:value-of select="creator"/>
    <p/>
    <xsl:copy-of select="body/node()"/>

    <xsl:variable name="subdocs"
   	 select="document('tkl-find://?path=*/index.tkl&amp;select=title')"/>

    <xsl:if test="$subdocs/*/file">
    	<ul>
    	<p/>
	<xsl:for-each select="$subdocs/*/file">
	    <li/><a href="{@path}"><xsl:value-of select="title"/></a>
	</xsl:for-each>
	</ul>
    </xsl:if>
    <p/>
</xsl:template>

</xsl:stylesheet>

