<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:portal="http://www.indexdata.dk/TKL/newspage" xmlns:portcom="http://www.indexdata.dk/TKL" version="1.0">

    <xsl:import href="../interface.xsl"></xsl:import>
    <xsl:include href="../news.xsl"></xsl:include>

    <xsl:output method="html" encoding="ISO8859-1"></xsl:output>

<xsl:template match="/portal:newspage">
    <xsl:call-template name="main-page">
        <xsl:with-param name="title" select="title"></xsl:with-param>
    </xsl:call-template>
</xsl:template>


<xsl:template name="main-news-content">
    <xsl:call-template name="read-news"></xsl:call-template>
</xsl:template>

<xsl:template name="main-body">
    <xsl:call-template name="insert-path">
        <xsl:with-param name="path" select="document('')/*/portcom:path"></xsl:with-param>
    </xsl:call-template>

    <ul>
    <xsl:for-each select="document('')/*/portcom:find[@name='news']/file">
	<xsl:sort select="date" order="descending"></xsl:sort>
	<li>
	    <a name="{date}"></a>
	    <span class="brown"><b><xsl:value-of select="title"></xsl:value-of></b></span>
	    <br></br>
	    <xsl:value-of select="date"></xsl:value-of>
	    <br></br>
	    <xsl:value-of select="content"></xsl:value-of>
	    <p></p>
	</li>
    </xsl:for-each>
    </ul>
</xsl:template>

<portcom:find name="news" path="news*.tkl" select="title|date|content">
<file path="./news0.tkl"><title>Oldest news entry</title><date>2001-01-01</date><content>Only so much gobbledegook and no more said about it.Only so much gobbledegook and no more said about it. Only so much gobbledegook and no more said about it. Only so much gobbledegook and no more said about it. </content></file>
<file path="./news1.tkl"><title>New kind of Portal launched</title><date>2002-01-01</date><content>Only so much gobbledegook and no more said about it.</content></file>
<file path="./news2.tkl"><title>Nut from Ketcher. This one is really long. And it keeps getting longer</title><date>2002-02-10</date><content>Yet another news item brought to you by the kalamazowski browsers. hfdlkjfhfh fshs fkjkfkshskjhsjhkjfdh fhskjfdssk hfkjh sfkjh sfkjhdskjfhdsjhfkjsh fkjshfkjh kjshkffh kj shdkjfhksh fkjh skjfh kjsh fkh skjfh ksh kjfsh fkjfsdhkj ufhd skjf shfskjdkjfhfheuhruwqh llllllllll kjhrjkhrkhrkj whriuewruhyure iru oiewuiquqoiu oiwqueioqu ei o u e qu eo qoeoq oeu oe oiu qwoiq ueou owqu eo qeoq ue </content></file>
<file path="./news3.tkl"><title>Awesome news</title><date>2002-04-20</date><content>Read all about it!!!! hkjahfdkjhfkl skhj jlkfhkj hfjh dfkjshfkjsh fj fj fj f jhsfkjhsfjkhskjfh skjfh j kf kj sfkj kjsh fkjkdh fks fksh fkjshfkjsh kjfh dkjh f  fh kjshfkjdhkjh fkjh skjfh kjdh fjk dshfkh kf kjh fdsf f fkjh d fkjsfh skjf hsf s fkjsh flkj shf sfsfjkh fkjdsh fkjsh f sf ksjfh  ffs kjfhkd ffkjshf kjsh dfkjhskjdhf kjsdf hs fjs hfkjdsh fkjh skjfh dfkjdsh fkj hsfkjh kj sfdh kjsh kjfh skj dhfklh skjfhkjshdfkjdhskjfhskjdfh sdkj fs fhskfh jh ks fk skjh fjh fhh sfh h shdf dks hfkj dsfkjdsfkj kj fk sfdk f</content></file>
<file path="./news4.tkl"><title>Newest news entry</title><date>2003-04-20</date><content>Read all about it!!!! shhdskjahd sajdkdhsahdjlkhdkjsh kjd kjdh kj hkjdsh fjkdh kjfh fkj hkjfh kjfkjdshfkjhdsfkjhdskjfh kj fkj kf hfkjh kh fh fk shfds fh f khskjf skjfh jsh fj fhkjh dfk hfjhfjdhlkjfh dslkjfh jkfhewurhwjrknemrbewnm rwr r ewrr mw erwrbwmerbnmewrwbernmr mr mb rm wmr mwbermewbrm brnm m  r mr mew  r wrm ermwbrm wemrmw rmwebrm rm rw rmebr wme m rebnme rmew rm bewmr mwerw brmnbwermnbw nmr bwmnr bnmrewb nmewrbmwmw r rm rbwe,nr bwenmr bnwbr wmrme brm ewrmn ewmr mew rrm rm ebmr bwmrbmewrnwer mw bmenr</content></file>
<file path="./news5.tkl"><title>By Jove, an even newer entry. Will it ever stop?</title><date>2003-04-21</date><content>Read all about it!!!!</content></file></portcom:find>

<portcom:path select="title"><step path='./../'><title>Bibliotheca</title></step>
<step path='./'><title>News</title></step>
</portcom:path>

</xsl:stylesheet>

