<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:portcom="http://www.indexdata.dk/TKL"
    version="1.0">

    <xsl:import href="tkl-file://interface.xsl"/>
    <xsl:include href="tkl-file://news.xsl"/>

    <xsl:output method="html" encoding="ISO8859-1"/>

    <xsl:param name="tkl_authenticated"/>

<xsl:template match="portal">
    <xsl:call-template name="main-page"/>
</xsl:template>


<xsl:template name="main-news-content">
    <xsl:call-template name="read-news"/>
</xsl:template>

<!--
  The display routine for the main subject hierarchy will necessarily
  depend somewhat on the nature of the hierarchy. This one is good
  for a small, flat one
  -->

<xsl:template name="main-body">
    <xsl:variable name="subjects" select="document(concat('tkl-find://',
        '?path=links/*',
	'&amp;mask=index.tkl',
	'&amp;select=title',
	'&amp;level=2'))"/>

    <xsl:for-each select="$subjects/*/dir">
        <xsl:sort select="@path"/>
        <p/>
	<b><a href="{@path}"><xsl:value-of select="file"/></a></b>
	<br/>
	<xsl:for-each select="dir">
	    <xsl:sort select="@path"/>
	    <a href="{file/@path}"><xsl:value-of select="file"/></a>
	    <br/>
	</xsl:for-each>
    </xsl:for-each>
</xsl:template>

</xsl:stylesheet>
