<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:portcom="http://www.indexdata.dk/TKL" xmlns:SOAP-ENV="http://schemas.xmlsoap.org/soap/envelope/" version="1.0">

    <xsl:import href="tkl-file://interface.xsl"></xsl:import>
    <xsl:include href="tkl-file://news.xsl"></xsl:include>

    <xsl:output method="html" encoding="ISO8859-1"></xsl:output>

    <xsl:param name="squery"></xsl:param>

<xsl:template match="google">
    <xsl:call-template name="main-page"></xsl:call-template>
</xsl:template>


<xsl:template name="main-news-content">
    <xsl:call-template name="read-news"></xsl:call-template>
</xsl:template>

<xsl:template name="main-body">
    <xsl:call-template name="insert-path"></xsl:call-template>
    <p></p>
    <em>
    
    <span xml:lang="da">Bemrk: Dette er en eksperimentel service -- det er ikke
       en officiel del af testportalen</span>
    </em>
    <p></p>

    <form method="get" action="">
      Indtast sgning:
      <input type="text" name="squery" value="{$squery}" size="30" style="border: 1px solid #6C5426; font-size:12px;"></input>
      <input type="submit"></input>
    </form>

    <xsl:if test="$squery">

    <xsl:variable name="result" select="document(concat(       'tkl-soap:googleapi.wsdl?',       'tkl:fun=doGoogleSearch',       '&amp;', token,       '&amp;', $squery,       '&amp;1',       '&amp;6',       '&amp;false',       '&amp;',       '&amp;false',       '&amp;',       '&amp;latin-1',       '&amp;latin-1'     ))/*/SOAP-ENV:Body"></xsl:variable>

    <xsl:for-each select="$result/*/*/*/item">
      <p></p><img height="8" width="10" src="{$root}/gfx/arrow_brown_right.gif"></img>
      <a href="{URL}"><b><xsl:value-of select="title"></xsl:value-of></b></a>
      <br></br><xsl:value-of select="URL"></xsl:value-of>
      <br></br>
      -<xsl:call-template name="amplify">
         <xsl:with-param name="string" select="snippet"></xsl:with-param>
       </xsl:call-template>
    </xsl:for-each>


    </xsl:if>

</xsl:template>

<xsl:template name="amplify">
  <xsl:param name="string"></xsl:param>
  <xsl:choose>
    <xsl:when test="contains($string, '&lt;')">
      BURP!
      <xsl:call-template name="amplify">
        <xsl:with-param name="string" select="concat(         substring-before($string, '&lt;'), '&lt;', substring-after($string, '&lt;'))"></xsl:with-param>
      </xsl:call-template>
    </xsl:when>
    <xsl:otherwise>
      <xsl:value-of select="$string"></xsl:value-of>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>


</xsl:stylesheet>
