<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:portcom="http://www.indexdata.dk/TKL"
    version="1.0">

    <xsl:import href="tkl-file://interface.xsl"/>
    <xsl:include href="tkl-file://news.xsl"/>

    <xsl:output method="html" encoding="ISO-8859-1"/>

    <xsl:param name="start" select="1"/>
    <xsl:param name="number" select="6"/>

    <xsl:param name="tkl_cwd"/>
    <xsl:param name="tkl_authenticated"/>
    <xsl:param name="tkl_bin"/>
    <xsl:param name="tkl_docroot"/>


<xsl:template match="/subject">
    <xsl:call-template name="main-page">
        <xsl:with-param name="title" select="title"/>
    </xsl:call-template>
</xsl:template>


<xsl:template name="main-news-content">
    <xsl:call-template name="read-news"/>
</xsl:template>

<!-- The main body of the screen -->

<xsl:template name="main-body">

    <xsl:call-template name="insert-path"/>

    <!-- Show subject headings -->

    <xsl:variable name="subject" select="document('tkl-find://?name=subjecs&amp;path=*/index.tkl&amp;select=title')"/>


    <xsl:if test="$start = '1'">
      <xsl:if test="$subject">
       <p/>
       <p>
       <xsl:for-each select="$subject/*/file">
          <xsl:sort select="@path"/>
	  <img height="8" width="10" src="{$root}/gfx/square.gif"/>
	  <a href="{@path}"><xsl:value-of select="."/></a><br/>
       </xsl:for-each>
       </p>
      </xsl:if>
    </xsl:if>

    <!-- Show number of records and next/prev -->
    
    <xsl:variable name="links">
      <xsl:for-each
          select="document('tkl-find://?path=link*.tkl&amp;select=title/@alphasort|identifier|description')/tkl-find/file">
        <xsl:sort select="title/@alphasort"/>
	<xsl:copy-of select="."/>
      </xsl:for-each>
    </xsl:variable>

    <xsl:if test="$links/file">
     <p/>
     <xsl:value-of select="count($links/file)"/>
       <span xml:lang="en"> links. Showing </span>
       <span xml:lang="da"> links. Viser </span>
     <xsl:value-of select="$start"/>
     <xsl:text>-</xsl:text>
     <xsl:choose>
       <xsl:when test="$number+$start &gt; count($links/file)">
         <xsl:value-of select="count($links/file)"/>
       </xsl:when>
       <xsl:otherwise>
	   <xsl:value-of select="$number + $start - 1"/>
       </xsl:otherwise>
     </xsl:choose>
     <xsl:text>. </xsl:text>

     <!-- Next/previous -->

     <xsl:if test="$start &gt; 1">
       <a href="?start={$start - $number}">
         <span xml:lang="da">Tilbage</span>
         <span xml:lang="en">Back</span>
       </a>
     </xsl:if>
     <xsl:if test="$start + $number - 1 &lt; count($links/file)">
       <xsl:if test="$start &gt; 1">
         <xsl:text> -- </xsl:text>
       </xsl:if>
       <a href="?start={$start + $number}">
         <span xml:lang="da">Flere</span>
         <span xml:lang="en">More</span>
       </a>
     </xsl:if>

     <xsl:if test="$tkl_authenticated">
	 <a
	   href="{$tkl_bin}/admin.php?cwd=//{$tkl_cwd}"
	    target="_blank">
	     <img border="0" src="{$root}/gfx/edit.gif"/>
	 </a>
     </xsl:if>

     <!-- Show pointers -->

     <p>
     <xsl:for-each select="$links/file
         [position() &gt;= $start and position() &lt; $start+$number]">

	 <xsl:variable name="ident">
	   <xsl:choose>
	     <xsl:when test="string-length(identifier) &gt; 50">
		 <xsl:value-of select="substring(identifier, 1, 50)"/>
		 <xsl:text>...</xsl:text>
	     </xsl:when>
	     <xsl:otherwise>
		 <xsl:value-of select="identifier"/>
	     </xsl:otherwise>
	   </xsl:choose>
	 </xsl:variable>

          <img height="8" width="10" src="{$root}/gfx/arrow_brown_right.gif"/>
	  <a href="{identifier}"><xsl:value-of select="title"/></a>
	 <xsl:if test="$tkl_authenticated">
	     <a
	       href="{$tkl_bin}/xform2.php?xml_file={$tkl_docroot}/{$tkl_cwd}/{@path}"
	        onClick="window.open('', 'xform', 'width=600,height=600,screenX=1,screenY=1,top=1,left=1,resizable=yes,scrollbars=1,scrolling=yes')" target="xform">
	         <img border="0" src="{$root}/gfx/edit.gif"/>
	     </a>
	 </xsl:if>

	  <br/><xsl:value-of select="$ident"/>
	  <br/>- <xsl:value-of select="description"/>
	  <br/>&#xa0;<br/>
     </xsl:for-each>
     </p>
    </xsl:if>

</xsl:template>

</xsl:stylesheet>
